HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Echo Hello

Return a Hello World response when the passed-in credentials are valid or an unauthorized response when they are invalid.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this endpoint to confirm your credentials are valid and your client can reach the Arcadia API.

When to use this endpoint

Use Echo Hello when you need to:

  • Verify that your appId and appKey authenticate successfully.
  • Test a basic API request before integrating other endpoints.
  • Confirm your client receives a successful JSON response.

Example request

curl -u APP_ID:APP_KEY https://api.genability.com/rest/echo/hello

Success response

{"status":"success","count":1,"type":null,"results":["Hello World","Hello World!"]}

Related endpoints

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json